libetonyek::IWORKStyleRefContext Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKStyleRefContext Class Reference

`#include <IWORKStyleRefContext.h>`

Inheritance diagram for libetonyek::IWORKStyleRefContext:

## Public Member Functions
| IWORKStyleRefContext (IWORKXMLParserState &state, const IWORKStyleMap_t &styleMap, bool nested=false)
void | attribute (int name, const char *value) override
| Process an attribute.
void | endOfElement () override
| Signalize the end of an element.
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Attributes
const IWORKStyleMap_t & | m_styleMap
const bool | m_nested

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStyleRefContext()

libetonyek::IWORKStyleRefContext::IWORKStyleRefContext | ( | IWORKXMLParserState & | state,
|  | const IWORKStyleMap_t & | styleMap,
|  | bool | nested = false )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKStyleRefContext::attribute | ( | int | name,
|  | const char * | value )
| overridevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKStyleRefContext::endOfElement | ( |  | ) |
| overridevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_nested

const bool libetonyek::IWORKStyleRefContext::m_nested
| private

Referenced by endOfElement(), and IWORKStyleRefContext().

## ◆ m_styleMap

const IWORKStyleMap_t& libetonyek::IWORKStyleRefContext::m_styleMap
| private

Referenced by endOfElement(), and IWORKStyleRefContext().

The documentation for this class was generated from the following files:

- IWORKStyleRefContext.h
- IWORKStyleRefContext.cpp